com.tibbo.aggregate.common.datatable.encoding

## Class ClassicEncodingSettings

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.encoding.EncodingSettings
  - - com.tibbo.aggregate.common.datatable.encoding.ClassicEncodingSettings

-     public class ClassicEncodingSettings
      extends EncodingSettings

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicEncodingSettings(boolean useVisibleSeparators)`
    `ClassicEncodingSettings(boolean useVisibleSeparators, boolean encodeFieldNames)`
    `ClassicEncodingSettings(boolean useVisibleSeparators, TableFormat format)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FormatCache` | `getFormatCache()`
    `KnownFormatCollector` | `getKnownFormatCollector()`
    `ProtocolVersion` | `getProtocolVersion()`
    `boolean` | `isEncodeDefaultValues()`
    `boolean` | `isEncodeFieldNames()`
    `boolean` | `isEncryptedPasswords()`
    `boolean` | `isUseVisibleSeparators()`
    `void` | `setEncodeDefaultValues(boolean encodeDefaultValues)`
    `void` | `setEncodeFieldNames(boolean encodeFieldNames)`
    `void` | `setEncryptedPasswords(boolean encryptedPasswords)`
    `void` | `setFormatCache(FormatCache formatCache)`
    `void` | `setKnownFormatCollector(KnownFormatCollector knownFormatCollector)`
    `void` | `setProtocolVersion(ProtocolVersion protocolVersion)`
    `void` | `setUseVisibleSeparators(boolean useVisibleSeparators)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.encoding.EncodingSettings

      `getFormat, isEncodeFormat, setEncodeFormat, setFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicEncodingSettings

          public ClassicEncodingSettings(boolean useVisibleSeparators)

    - #### ClassicEncodingSettings

          public ClassicEncodingSettings(boolean useVisibleSeparators,
                                         boolean encodeFieldNames)

    - #### ClassicEncodingSettings

          public ClassicEncodingSettings(boolean useVisibleSeparators,
                                         TableFormat format)

  - ### Method Detail

    - #### isEncodeDefaultValues

          public boolean isEncodeDefaultValues()

    - #### setEncodeDefaultValues

          public void setEncodeDefaultValues(boolean encodeDefaultValues)

    - #### isUseVisibleSeparators

          public boolean isUseVisibleSeparators()

    - #### getFormatCache

          public FormatCache getFormatCache()

    - #### getKnownFormatCollector

          public KnownFormatCollector getKnownFormatCollector()

    - #### setUseVisibleSeparators

          public void setUseVisibleSeparators(boolean useVisibleSeparators)

    - #### setFormatCache

          public void setFormatCache(FormatCache formatCache)

    - #### setKnownFormatCollector

          public void setKnownFormatCollector(KnownFormatCollector knownFormatCollector)

    - #### isEncodeFieldNames

          public boolean isEncodeFieldNames()

    - #### setEncodeFieldNames

          public void setEncodeFieldNames(boolean encodeFieldNames)

    - #### setProtocolVersion

          public void setProtocolVersion(ProtocolVersion protocolVersion)

    - #### getProtocolVersion

          public ProtocolVersion getProtocolVersion()

    - #### isEncryptedPasswords

          public boolean isEncryptedPasswords()

    - #### setEncryptedPasswords

          public void setEncryptedPasswords(boolean encryptedPasswords)